Method: brands.delete

  • This content explains how to delete a brand using a DELETE HTTP request.

  • Deleting a brand with associated agents or locations requires setting the force parameter to true.

  • The request uses gRPC Transcoding syntax for the URL, which includes the brand's unique identifier in the path.

  • A successful deletion results in an empty response body.

Deletes a brand.

If the brand has any associated agents or locations, the delete request fails unless force is true.

HTTP request

DELETE https://businesscommunications.googleapis.com/v1/{name=brands/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique identifier of the brand. If the brand identifier is "1234", this parameter resolves to "brands/1234".

Query parameters

Parameters
force

boolean

For non-RBM cases: if true, any agents and locations associated with this brand are also deleted.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/businesscommunications

For more information, see the OAuth 2.0 Overview.